Package com.evopdf

# Class PdfResetFormAction

java.lang.Object
com.evopdf.PdfAction
com.evopdf.PdfResetFormAction

public class PdfResetFormAction extends PdfAction
Represents a Reset action in a PDF form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfResetFormAction()`
  Creates a PDF form reset action

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PdfFormField[]`
  `fields()`
  Gets the list of fields to be included or excluded from reset based on `includeFields()` property value.
  `boolean`
  `includeFields()`
  Gets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from reset
  `void`
  `setFields(PdfFormField[] fields)`
  Sets the list of fields to be included or excluded from reset based on `includeFields()` property value.
  `void`
  `setIncludeFields(boolean includeFields)`
  Sets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from reset.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfResetFormAction

    public PdfResetFormAction()
    Creates a PDF form reset action

- ## Method Details

  - ### includeFields

    public boolean includeFields()
    Gets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from reset
    Returns:
      the flag value

  - ### setIncludeFields

    public void setIncludeFields(boolean includeFields)
    Sets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from reset. By default this property is true and the Fields property defines the list of fields to to be included in reset
    Parameters:
      `includeFields` - the flag value to set

  - ### fields

    public PdfFormField[] fields()
    Gets the list of fields to be included or excluded from reset based on `includeFields()` property value. If no fields are added to this array and `includeFields()` property is true then all the fields are reset
    Returns:
      the list of fields

  - ### setFields

    public void setFields(PdfFormField[] fields)
    Sets the list of fields to be included or excluded from reset based on `includeFields()` property value. If no fields are added to this array and `includeFields()` property is true then all the fields are reset
    Parameters:
      `fields` - the list of fields to set